org.apache.poi.hssf.record

## Class CountryRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.CountryRecord

- All Implemented Interfaces:
    Duplicatable

      public final class CountryRecord
      extends StandardRecord

  Country Record (aka WIN.INI country) - used for localization

  Currently HSSF always sets this to 1 and it seems to work fine even in Germany.

  Version:
    2.0-pre

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountryRecord()`
    `CountryRecord(CountryRecord other)`
    `CountryRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CountryRecord` | `copy()`
    `short` | `getCurrentCountry()` gets the current country
    `protected int` | `getDataSize()`
    `short` | `getDefaultCountry()` gets the default country
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setCurrentCountry(short country)` sets the current country
    `void` | `setDefaultCountry(short country)` sets the default country
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CountryRecord

          public CountryRecord()

    - #### CountryRecord

          public CountryRecord(CountryRecord other)

    - #### CountryRecord

          public CountryRecord(RecordInputStream in)

  - ### Method Detail

    - #### setDefaultCountry

          public void setDefaultCountry(short country)

      sets the default country
      Parameters:
        `country` - ID to set (1 = US)

    - #### setCurrentCountry

          public void setCurrentCountry(short country)

      sets the current country
      Parameters:
        `country` - ID to set (1 = US)

    - #### getDefaultCountry

          public short getDefaultCountry()

      gets the default country
      Returns:
        country ID (1 = US)

    - #### getCurrentCountry

          public short getCurrentCountry()

      gets the current country
      Returns:
        country ID (1 = US)

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### copy

          public CountryRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.